# -*- encoding=utf8 -*-
__author__ = "liguangyu"

"""
case_tag:cmdc_api,cmdc验证新增名称相同套包限制,2264,2264-23,sit,bs
主数据平台:运营后台管理系统套包列表查询、套包新增等接口
"""

from common.common_func import commonFuc
from air_case.cmdc_login.后台管理系统登录.后台管理系统登录 import CmdcDoLogin
import requests
import random
import json

module = "cmdc_fresenius_group"

# 第一步登录后台运营平台获取cmdc_access_token
# 获取登录所需账号密码
username = commonFuc().get_business_data(module, "username1")
password = commonFuc().get_business_data(module, "password1")
# 获取登录后Cmdc_access_token
cmdc_access_token = CmdcDoLogin(username, password).get_token()
headers = commonFuc().get_business_data(module, "json_headers", cmdc_access_token)

# 第二步进行套包列表获取
url1 = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url1")
request_body1 = commonFuc().get_business_data(module, "payload1")

# 发送请求
result = requests.post(url1, json=request_body1, headers=headers)
result = json.loads(result.content)


# 获取套包名称
# group_name = result["data"]["list"][0]["groupName"]
group_name = "套包测试"
# 随机生成套包中商品数量
group_quantity = random.randint(3, 9999)

# 第三步进行套包新增操作
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url10")
request_body = commonFuc().get_business_data(module, "payload10", group_name, group_quantity, group_quantity)

"""
 场景:验证新增名称相同套包限制
 用例名称：验证新增名称相同套包限制
 输出：{"success":false,"code":"FRESENIUS_GROUP_ERROR","message":"该行套包名称系统已存在，无需重复添加！","data":null,"freshToken":null}
"""

# 发送请求
result = requests.post(url, json=request_body, headers=headers)
result = json.loads(result.content)

# 获取预期结果
check_dict = commonFuc().get_business_data(module, "checkDict10")
# 断言实际结果中是否包含预期结果的内容
commonFuc().check_result(check_dict, result)
