# -*- encoding=utf8 -*-
__author__ = "liguangyu"

"""
case_tag:cmdc_api,cmdc导入日志查询,2264,2264-26,sit,bs
主数据平台:运营后台管理系统导入日志查询接口
"""

from common.common_func import commonFuc
from air_case.cmdc_login.后台管理系统登录.后台管理系统登录 import CmdcDoLogin
import requests
import json

module = "cmdc_fresenius_group"

# 第一步登录后台运营平台获取cmdc_access_token
# 获取登录所需账号密码
username = commonFuc().get_business_data(module, "username1")
password = commonFuc().get_business_data(module, "password1")
# 获取登录后Cmdc_access_token
cmdc_access_token = CmdcDoLogin(username, password).get_token()
headers = commonFuc().get_business_data(module, "json_headers", cmdc_access_token)

# 第二步导入日志查询
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url24")

"""
 场景:导入日志查询
 用例名称：导入日志查询
 输出：{"success":true,"code":"200","message":"OK"}
"""

# 发送请求
result = requests.get(url, headers=headers)
result = json.loads(result.content)

# 获取预期结果
check_dict = commonFuc().get_business_data(module, "checkDict24")
# 断言实际结果中是否包含预期结果的内容
commonFuc().check_result(check_dict, result)

